package com.prolog.cs.biz.outbound.model.entity;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import java.io.Serializable;

@Table(value = "WMS_WORK_STATION_USER", appendDefaultJdbcType = true, camelToUnderline = true)
public class WorkStationUserDO extends BaseModel implements Serializable {
    @AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
    @Column(value = "id")
    @Id
    private String id;

    @Column(value = "station_code")
    private String stationCode;

    @Column(value = "station_id")
    private String stationId;

    @Column(value = "user_Id")
    private String userId;

    @Column(value = "user_name")
    private String userName;

    @Column(value = "user_password")
    private String userPassword;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPassword() {
        return userPassword;
    }

    public void setUserPassword(String userPassword) {
        this.userPassword = userPassword;
    }
}
